/***************************************************************
/  Unofficial LlibPlanar - Versin 0.9.1                       /
/                                                              /
/  Modificado por Ifcaro <taslokooo@gmail.com>                 /
/  http://ps2dev.ifcaro.net                                    /
/                                                              /
/  Versin original:                                           /
/  Angel Garbayo Dominguez (neofar@ofcode.com)                 /
/  http://ps2dev.ofcode.com                                    /
/                                                              /
/  last mod: 20-11-2008                                        /
/  license:  GNU Library General Public License Version 2      /
/            (see LICENSE on the main directory)               /
***************************************************************/

#ifndef __LLIB2DCONSOLE_H_
#define __LLIB2DCONSOLE_H_

void consoleActive(int n);
int consoleCreate();

void consoleSet(int x,int y,int w,int h,int n);
void consoleSetPosition(int x,int y);
void consoleSetSize(int w,int h);
void consoleSetFont(int n);
int consoleGetX();
int consoleGetY();
int consoleGetW();
int consoleGetH();

void consoleSetColorId(int id, int r,int g,int b,int a);
void consoleSetColor(int r,int g,int b);
void consoleSetAlpha(int a);

void consoleClear();
void consolePrint(char *line);
void consolePrintln(char *line);
void consolePrintf(const char *format, ...);
void consoleSetText(char *text);
int consoleGetSize();
void consoleSetView(float factor);
int consoleGetLines();
int consoleGetLinesView();

void consoleRender();
    
    
    
#endif


