/***************************************************************
/  Unofficial LlibPlanar - Versin 0.9.1                       /
/                                                              /
/  Modificado por Ifcaro <taslokooo@gmail.com>                 /
/  http://ps2dev.ifcaro.net                                    /
/                                                              /
/  Versin original:                                           /
/  Angel Garbayo Dominguez (neofar@ofcode.com)                 /
/  http://ps2dev.ofcode.com                                    /
/                                                              /
/  last mod: 20-11-2008                                        /
/  license:  GNU Library General Public License Version 2      /
/            (see LICENSE on the main directory)               /
***************************************************************/


#define USE_LA_LIB_WITH_PS2LIB 

/* Libs from PS2SDK */
#include <tamtypes.h>
#include <fileio.h>
#include <stdlib.h>
#include <kernel.h>
#include <malloc.h>
#include <fileXio.h>
#include <string.h>
#include <math.h>

/* Libs from La lib by djhuevo */
#include <libKernel.h>
#include <libGs.h>
#include <libDma.h>
#include <libVu0.h>


// #define HOST_BASE_NAME "host0"

/* Llib Planar */
#include "llibgs.h"         // Base GS
#include "llibTex.h"        // upload Textures
#include "loadFile.h"
#include "llib2D.h"         // 2D Sprites functions
#include "llib2DText.h"     // Base Text Functions
#include "llib2DConsole.h"  // Console
#include "llib3D.h"         // 3D
#include "colorMatrix.h"    //
#include "geometryMatrix.h"

int printf(const char *format, ...)
    __attribute__((format(printf,1,2)));
int sprintf(char *buf, const char *fmt, ...)
    __attribute__((format(printf,2,3)));

