#include <llibPlanar.h>


int main(void){
    int idImagen;
    int idTextura;

    setGsPacketsize(4);
    gfxInitVideo(GFX_AUTO);

    // Preparamos espacio para cargar una imagen
    texturePrepareArray(2, 2);

    idImagen  = imageLoadIIF("../../resources/images/clut8rgba32.iif");
    idTextura = textureCreateST(idImagen,0.0f,0.0f,1.0f,1.0f);

    FlushCache(0);

    while (1) {

        gfxSyncV();
        gfxSwapBuffers();
        gfxClear();

        // Dibujamos en pantalla un sprite con la textura 
        spriteReset();
        spriteSetTexture(idTextura);
        spriteSetSize(400,400);
        spriteRender();
        
        gfxRender();       // enviamos todo el flujo al GS
        }

    return 0;
    }


