#include <llibPlanar.h>


int main(void){
    int idImagen;
    int idTextura;

    setGsPacketsize(4);
    gfxInitVideo(GFX_AUTO);

    // Preparamos espacio para cargar una imagen
    texturePrepareArray(2, 2);
    
    // Font in Clut, only 64kb
    idImagen  = imageLoadIIF("../../resources/images/font.iif");
    idTextura = textureCreateST(idImagen,0.0f,0.0f,1.0f,1.0f);
    
    textSetFont(0, 2, 16, 16);
    textSetSize(0,2.0f); textSetSize(1,2.0f);
    textSetPadding(0,8); textSetPadding(1,12);

    FlushCache(0);

    while (1) {

        gfxSyncV();
        gfxSwapBuffers();
        gfxClear();

        // Dibujamos en pantalla un sprite con la textura 
        textSetColor(0xFF,0xFF,0xFF);
        textSetAlpha(0x80);

        // y envio 2 textos, uno con cada fuente
        textSetFontActive(0); textPrintCenter(-34, "Llib Planar");
        textSetFontActive(1); textPrintCenter(  2, "Version 2.0");
		textSetFontActive(0); textPrintCenter(34, "Ifcaro's Mod");

        gfxRender();       // enviamos todo el flujo al GS
        }

    return 0;
    }


