
#include <llibPlanar.h>
#include <math.h>




int main(void){
    int idImagen;
    int idTextura;

    int frame;
    int tick=0;

    setGsPacketsize(4);
    gfxInitVideo(GFX_AUTO);

    // Inicializamos LlibTex
    texturePrepareArray(16, 16);

    // idImagen  = imageLoadIIF("explosion2.iif");
    idImagen  = imageLoadIIF("../../resources/images/sonic.iif"); // GIF ANIMADO !!!!
    idTextura = textureCreateST(idImagen,0.0f,0.0f,1.0f,1.0f);

    FlushCache(0);
    frame = 0;
            
    while (1) {
        gfxSyncV();
        gfxSwapBuffers();
        gfxClear();

        gfxDrawBoxGoraud( -320,-240, 0x00, 0x00, 0x80,
                           320,-240, 0x00, 0x00, 0x80,
                          -320, 240, 0x05, 0x05, 0x00,
                           320, 240, 0x05, 0x05, 0x00);


        tick++;
        if(tick%5==0) frame++;

        spriteReset();
        spriteSetTexture(idTextura);
        spriteSetSize(128,128);
        spriteSetFrame(frame);        // <-- Set the frame
        spriteRender();

        gfxRender();
        }

    return 0;
    }


