#include <llibPlanar.h>



int main(void){
    int idImagen;
    int idTextura;
    float angle = 0.0f;


    setGsPacketsize(4);     // Make 4kb for the GSPACKET
    gfxInitVideo(GFX_AUTO); // Detect Pal||NTSC
    gfxSetClearColor(0xFF,0xFF,0xFF); // bakcgroud white

    // Inicializamos LlibTex
    texturePrepareArray(1, 4);
    
    // Cargamos una Imagen, y generamos una Textura de esa imagen
    idImagen  = imageLoadRaw("../../resources/images/pokemon.raw", 128, 128, LIB_GS_PSMCT32);
    idTextura = textureCreate(idImagen,0,0,128,128);

    // Activamos el filtro para esa imagen
    imageSetFilter(idImagen,LIB_FLT_LINEAR);

    FlushCache(0);

    while (1) {

        gfxSyncV();        // Esperamos al Retrazo
        gfxSwapBuffers();  // cambiamos el buffer de dibujado
        gfxClear();        // y limpiamos la pantalla

            // Dibujamos 2 Sprites

            spriteReset();
            spriteSetTexture(idTextura);
            spriteSetSize(400,400);
            spriteRotate(angle);
            spriteTranslate(-50,0);
            spriteSetAlpha(0x80);            // <- 50% transparent
            spriteRender();

            spriteReset();
            spriteSetTexture(idTextura);
            spriteSetSize(400,400);
            spriteRotate(-angle);
            spriteTranslate(50,0);
            spriteSetAlpha(0x80);            // <- 50% transparent
            spriteRender();
            
            angle +=0.01f;
        
        gfxRender();       // enviamos todo el flujo al GS
        }

    return 0;
    }


