#include <llibPlanar.h>



int main(void){
    int idImagen;
    int idTextura;

    setGsPacketsize(4);     // Make 4kb for the GSPACKET
    gfxInitVideo(GFX_AUTO); // Detect Pal||NTSC

    gfxSetClearColor(0x40,0x40,0x40);    // background 
    
    // Preparamos espacio para cargar una image
    texturePrepareArray(1, 1);
    
    // Cargamos una Imagen, y generamos una Textura de esa imagen
    // ambos metodos devuelven el indice, pero al ser un unico registro
    // sabemos que es el 0
    idImagen  = imageLoadRaw("../../resources/images/pokemon.raw", 128, 128, LIB_GS_PSMCT32);
    idTextura = textureCreate(idImagen,0,0,128,128);
    

    FlushCache(0);

    while (1) {

        gfxSyncV();        // Esperamos al Retrazo
        gfxSwapBuffers();  // cambiamos el buffer de dibujado
        gfxClear();        // y limpiamos la pantalla

            // Dibujamos en pantalla un sprite con la textura 
            spriteReset();
            spriteSetTexture(idTextura);
            spriteSetSize(256,256);
            spriteRender();
        
        gfxRender();       // enviamos todo el flujo al GS
        }

    return 0;
    }


