
#include <llibPlanar.h>
#include "math.h"

#define SIZETEXT 19
char str1[SIZETEXT] = { ' ','L','l','i','b','P','l','a','n','a','r',' ',' ',' ','2','.','0',' ',' ' };
char str2[SIZETEXT] = { 'c','r','e','a','t','e','d',' ','b','y',' ','n','e','o','f','a','r',' ',' ' };


int main(void){
    int i,j;
    float angle =0.0f;
    float anglex = 0.0f;


    setGsPacketsize(8);
    gfxInitVideo(GFX_AUTO);

    // Inicializamos LlibTex
    texturePrepareArray(1, 1);
    
    // Cargamos una Imagen, y generamos una Textura de esa imagen
    int idImagen = imageLoadRaw("../../resources/images/Font_256.raw", 256, 256, LIB_GS_PSMCT32);
    int idTexture = textureCreate(idImagen,0,0,256,256);

    // Activamos la fuente
    textSetFont(idTexture, 2, 16, 16); // imagen=0, fonts=2, charsize=(16,16)

    textSetSize(0,3.0f); // fuente[0] -> size 2
    textSetSize(1,2.0f); // fuente[1] -> size 2
    textSetPadding(0,8); // fuente[0] -> padding 8 pixels
    textSetPadding(1,12);// fuente[1] -> padding 12 pixels


    FlushCache(0);

    while (1) {
           angle-=0.05f;
           anglex+=0.01f;

       gfxSyncV();        // Esperamos al Retrazo
       gfxSwapBuffers();  // cambiamos el buffer de dibujado
       gfxClear();        // y limpiamos la pantalla


       textSetFontActive(0);
       // Pongo blanco sin transparencia
       textPrintPrepareTexture();
       textPrintPrepareColor(0xFF,0xFF,0xFF);

       for(i=0;i<SIZETEXT;i++)
           {
           float inc = (float)(2.0f * 3.1416f) / (float)SIZETEXT;
           float thisAngle = angle + (inc*i);
           int px,py;

           px = sinf(thisAngle) * (sinf(anglex)*128);
           py = cosf(thisAngle) * (cosf(anglex)*128);

           for(j=0;j<16;j++)
               {
               float factorAlpha = (j*16);
               float factorZoom  = 1.0f + j * 0.02f;
               textPrintPrepareAlpha(0xFF- factorAlpha);
               textPrintPreparedChar(px*factorZoom,py*factorZoom,str1[i]);
               }
/*
           px = sinf(thisAngle) * (cosf(anglex)*128);
           py = cosf(thisAngle) * (sinf(anglex)*128);
           textPrintPrepareAlpha(0xFF);
           textPrintPreparedChar(px,py,str2[i]);
           textPrintPrepareAlpha(0x10);
           textPrintPreparedChar(px*3,py*3,str2[i]);
*/
           }

       gfxRender();       // enviamos todo el flujo al GS
       }

    return 0;
    }



