#include <libvu0.h>
#include "camera.h"

void createCamera(ps2_vu0_fmatrix worldToCamera, struct rawCamera *camera) {
    ps2_vu0_fmatrix tmp;
    ps2_vu0_fvector p, zd, yd;

    ps2_vu0_unit_matrix(tmp);
    ps2_vu0_rot_matrix_x(tmp, tmp, camera->rot[0]);
    ps2_vu0_rot_matrix_y(tmp, tmp, camera->rot[1]);
    ps2_vu0_apply_matrix(zd, tmp, camera->zd);
    ps2_vu0_apply_matrix(yd, tmp, camera->yd);
    ps2_vu0_apply_matrix(p, tmp, camera->p);
    ps2_vu0_camera_matrix(worldToCamera, p, zd, yd);
}
