/***************************************************************
/  Unofficial LlibPlanar - Versin 0.9.1                       /
/                                                              /
/  Modificado por Ifcaro <taslokooo@gmail.com>                 /
/  http://ps2dev.ifcaro.net                                    /
/                                                              /
/  Versin original:                                           /
/  Angel Garbayo Dominguez (neofar@ofcode.com)                 /
/  http://ps2dev.ofcode.com                                    /
/                                                              /
/  last mod: 20-11-2008                                        /
/  license:  GNU Library General Public License Version 2      /
/            (see LICENSE on the main directory)               /
***************************************************************/

#include <llibPlanar.h>

int fd;


GSI_FILE *GSI_OpenFile(char* filename)
	{
    GSI_FILE *gsi_file;

    // Abrimos el Archivo
    fd = openFile(filename, O_RDONLY);

    // Preparamos las estructuras del GSI
    gsi_file        = (GSI_FILE *)sizeof(GSI_FILE);
	gsi_file->head  = (GSI_HEAD *)sizeof(GSI_HEAD);
    gsi_file->image = (GSI_IMAGE *)sizeof(GSI_IMAGE);
    gsi_file->clut  = (GSI_CLUT *)sizeof(GSI_CLUT);

    // Cargamos GSI_HEAD
    readFile(fd, gsi_file->head, sizeof(GSI_HEAD));

    // Cargamos GSI_IMAGE
    seekFile(fd, gsi_file->head->image_struct_ofset, SEEK_SET);
    readFile(fd, gsi_file->image, sizeof(GSI_IMAGE));

    // Cargamos GSI_CLUT
    seekFile(fd, gsi_file->head->clut_struct_ofset, SEEK_SET);
    readFile(fd, gsi_file->clut, sizeof(GSI_CLUT));

    return gsi_file;
	}    

void GSI_CloseFile()
	{
    closeFile(fd);
	}    
unsigned char *GSI_readClut(GSI_FILE *gsi_file)
	{
 	return NULL;
	}    
unsigned char *GSI_readImage(GSI_FILE *gsi_file)
	{
 	return NULL;
	}    

