/***************************************************************
/  Unofficial LlibPlanar - Versin 0.9.1                       /
/                                                              /
/  Modificado por Ifcaro <taslokooo@gmail.com>                 /
/  http://ps2dev.ifcaro.net                                    /
/                                                              /
/  Versin original:                                           /
/  Angel Garbayo Dominguez (neofar@ofcode.com)                 /
/  http://ps2dev.ofcode.com                                    /
/                                                              /
/  last mod: 20-11-2008                                        /
/  license:  GNU Library General Public License Version 2      /
/            (see LICENSE on the main directory)               /
***************************************************************/

#include <llibPlanar.h>

// ----------------------------------------------------------------------------
// R A W
// ----------------------------------------------------------------------------

int fd;

void RAW_OpenFile(char* filename)
	{
    fd = openFile(filename, O_RDONLY);
	} 

void RAW_CloseFile()
    {
    closeFile(fd);
    }

unsigned char *RAW_readImage(int size)
	{
	return (unsigned char *)readFileBlock(fd,size);
    }

void RAW_seek(int pos, int from)
    {
    seekFile(fd, pos, from);
    }

unsigned char *RAW_ReadFile(char* filename)
	{
	unsigned char *data;
	int file_size;

	RAW_OpenFile(filename);                // <- Open file

 	file_size = seekFile(fd, 0, SEEK_END); // file len
 	RAW_seek(0, SEEK_SET);
	data = RAW_readImage(file_size);	   // <- Read file 
	RAW_CloseFile();					   // <- Close file
	return data;						   // <- Return data
	}    

