/***************************************************************
/  Unofficial LlibPlanar - Versin 0.9.1                       /
/                                                              /
/  Modificado por Ifcaro <taslokooo@gmail.com>                 /
/  http://ps2dev.ifcaro.net                                    /
/                                                              /
/  Versin original:                                           /
/  Angel Garbayo Dominguez (neofar@ofcode.com)                 /
/  http://ps2dev.ofcode.com                                    /
/                                                              /
/  last mod: 20-11-2008                                        /
/  license:  GNU Library General Public License Version 2      /
/            (see LICENSE on the main directory)               /
***************************************************************/

#ifndef __GEOMETRYMATRIX_H_
#define __GEOMETRYMATRIX_H_

/*
 * Generamos el objeto
 */
void geometryCreate(libVu0FVector *nodes, int size);
void geometrySetSize(int size);
void geometryFree();

/*
 * Operaciones con matrices
 */
void geometryMatrixVU0Apply();
void geometryIdentity();
void geometryRotate(float x,float y,float z);
void geometryRotateHex(u_char x,u_char y,u_char z);
void geometryTranslate(float x,float y,float z);
void geometryTranslate2D(int x,int y);
void geometryScale(float scalex,float scaley,float scalez);

/*
 * Draw
 */
void geometryDrawPolygon(int filled);

#endif
