#include <llibPlanar.h>


int main(void){
    float x = 0.0f;
    float y = 0.0f;
    float z = 0.0f;

    ObjectCamera *camara;
    Model3DM *modelo3DM;
    Object3D *object;

    setGsPacketsize(4);     // Make 4kb for the GSPACKET
    gfxInitVideo(GFX_AUTO); // Detect Pal||NTSC

    // creamos la camara, al crear una camara esta se activa por defecto
    camara = cameraCreateZ(-150);

    // leemos un modelo 3DM
    modelo3DM = LoadModel3DM("../../resources/models/diamante.3dm");
    // creamos una instancia para manipular el objeto
    object = ObjectCreate(modelo3DM);

    // Activamos el WireFrame y le ponemos un color
    objectSetRenderMode(object, RENDER_WIREFRAME);
    objectSetRenderColor(object, RENDER_COLOR);
    objectSetColor(object,0xFF,0xFF,0xFF);

    FlushCache(0);

	while (1) {
		x+=0.01f;
		y+=0.02f;
		z+=0.03f;

		gfxSyncV();        // Esperamos al Retrazo
		gfxSwapBuffers();  // cambiamos el buffer de dibujado
		gfxClear();        // y limpiamos la pantalla

		// empezamos con un degradado para el fondo
		gfxDrawBoxGoraud(
		-320,-240, 0x00, 0x00, 0x80,
		320,-240, 0x00, 0x00, 0x80,
		-320, 240, 0x10, 0x10, 0x10,
		320, 240, 0x10, 0x10, 0x10);

		// Dibujamos el objeto
		objectRotate(object,x,y,z);
		objectRender(object);

		camRender(camara);
		gfxRender();     // enviamos todo el flujo al GS
	}

    return 0;
    }
    

