#include <llibPlanar.h>


int main(void){
    int i,j;
    u_char alpha;
    
    int px=80,py=80;
    int dx=1,dy=1;

    setGsPacketsize(4);     // Make 4kb for the GSPACKET
    gfxInitVideo(GFX_AUTO); // Detect Pal||NTSC

    FlushCache(0);

    while (1) {

        gfxSyncV();        // Esperamos al Retrazo
        gfxSwapBuffers();  // cambiamos el buffer de dibujado
        gfxClear();        // y limpiamos la pantalla

        // Dibujamos algunas primitivas
        gfxDrawBoxGoraud(
          -320,-240, 0xFF, 0xFF, 0x80,
           320,-240, 0xFF, 0xFF, 0x80,
          -320, 240, 0x40, 0x20, 0x00,
           320, 240, 0x40, 0x20, 0x00);


        // movemos el cuadrado del fondo
           px+=dx; 
           py+=dy;
           
           if(px > 320-61) dx*=-1;
           if(px <-320+61) dx*=-1;
           if(py > 240-61) dy*=-1;
           if(py <-240+61) dy*=-1;

        gfxSetColor(0x80, 0x40, 0x00, 0x80);
        gfxDrawBox(px-60,py-60,px+60,py+60);
        gfxSetColor(0xFF, 0xFF, 0xFF, 0x80);
        drawBoxLined(px-60,py-60,px+60,py+60);


        // dibujamos unos cuadraditos por encima
        gfxSetAlphaBlending(1);
        alpha = 0;

        for(i=-2;i<3;i++)
        for(j=-2;j<3;j++, alpha+=2)
            {
            gfxSetColor(0x00, 0x00, 0xFF, alpha);
            gfxDrawBox(-30+i*70,-30+j*70,30+i*70,30+j*70);
            }

        gfxSetAlphaBlending(0);
        gfxSetColor(0x00, 0x00, 0x00, 0x80);
        
        for(i=-2;i<3;i++)
        for(j=-2;j<3;j++, alpha+=3)
            {
            drawBoxLined(-30+i*70,-30+j*70,30+i*70,30+j*70);
            }
        
        gfxRender();       // enviamos todo el flujo al GS
        
        // SCREENSHOT
        #ifdef MAKESCREENSHOT
        if (tick++ == 1)
           {
           printf("Taking Screenshot\n");
           ps2_screenshot_file( "host:../screenshots/02_basicGFX3.tga", 0, 640, 480, LIB_GS_PSMZ32 );
           printf("Ok. screenshot taken\n");
           }
        #endif


        }

    return 0;
    }


