
#include <llibPlanar.h>
#include <math.h>




int main(void){
    int idImagen;
    int idTextura;

    int frame1=0,tick1=0;
    int frame2=0,tick2=0;

    setGsPacketsize(4);
    gfxInitVideo(GFX_AUTO);

    // Inicializamos LlibTex
    texturePrepareArray(16, 16);

    // idImagen  = imageLoadIIF("explosion2.iif");
    idImagen  = imageLoadIIF("../../resources/images/sonic.iif"); // GIF ANIMADO !!!!
    idTextura = textureCreateST(idImagen,0.0f,0.0f,1.0f,1.0f);

    FlushCache(0);
            
    while (1) {
        gfxSyncV();
        gfxSwapBuffers();
        gfxClear();

        gfxDrawBoxGoraud( -320,-240, 0x00, 0x00, 0x80,
                           320,-240, 0x00, 0x00, 0x80,
                          -320, 240, 0x05, 0x05, 0x00,
                           320, 240, 0x05, 0x05, 0x00);


        tick1++; if(tick1%5==0) frame1++;
        tick2++; if(tick2%10==0) frame2++;

        // Sprite 1
        spriteReset();
        spriteSetTexture(idTextura);
        spriteSetSize(128,128);
        spriteTranslate(100,0);
        spriteSetFrame(frame1); // <-- Set Frame for this sprite
        spriteRender();

        // Sprite 2
        spriteReset();
        spriteSetTexture(idTextura);
        spriteSetSize(128,128);
        spriteTranslate(-100,0);
        spriteSetFrame(frame2); // <-- Set Frame for this sprite
        spriteRender();

        gfxRender();
        }

    return 0;
    }


