#include <llibPlanar.h>
#include "math.h"



int main(void){
    int i;
    int idImagen;
    int idTextura;
    float angle  = 0.0f;
    float angle2 = 0.0f;

    // inicializa el modo grafico    
    setGsPacketsize(4);     // Make 4kb for the GSPACKET
    gfxInitVideo(GFX_AUTO); // Detect Pal||NTSC

    // Inicializamos LlibTex
    texturePrepareArray(1, 1);
    
    // Cargamos una Imagen, y generamos una Textura de esa imagen
    idImagen  = imageLoadRaw("../../resources/images/pokemon.raw", 128, 128, LIB_GS_PSMCT32);
    idTextura = textureCreate(idImagen,0,0,128,128);

    imageSetFilter(idImagen,LIB_FLT_LINEAR);

    FlushCache(0);

    while (1) {

       gfxSyncV();        // Esperamos al Retrazo
       gfxSwapBuffers();  // cambiamos el buffer de dibujado
       gfxClear();        // y limpiamos la pantalla

       // sprites!! 
       for(i=0;i<10;i++)
            {
            spriteReset();
            spriteSetTexture(idTextura);
            spriteSetSize(256,256);
            spriteRotate(angle);
            spriteTranslate(
                        sinf(angle2)*40 + sinf(angle*0.4f)*30,
                        cosf(angle2*0.3f)*30);
            spriteSetAlpha(0xFF-i*20);
            spriteScale(1.0f + (i* 0.2f),1.0f + (i* 0.2f));
            spriteRender();
            }
            
        angle  +=0.01f;
        angle2 +=0.035f;
        
        gfxRender();       // enviamos todo el flujo al GS
        }

    return 0;
    }


