#include <llibPlanar.h>


int main(void){
    int idImagen;
    int idTextura;
    float angle = 0.0f;

    // inicializa el modo grafico    
    setGsPacketsize(4);     // Make 4kb for the GSPACKET
    gfxInitVideo(GFX_AUTO); // Detect Pal||NTSC

    // Inicializamos LlibTex
    texturePrepareArray(1, 1);
    
    // Cargamos una Imagen, y generamos una Textura de esa imagen
    idImagen  = imageLoadRaw("../../resources/images/pokemon.raw", 128, 128, LIB_GS_PSMCT32);
    idTextura = textureCreate(idImagen,33,33,63,63);

    FlushCache(0);

    while (1) {

        gfxSyncV();        // Esperamos al Retrazo
        gfxSwapBuffers();  // cambiamos el buffer de dibujado
        gfxClear();        // y limpiamos la pantalla

            // Dibujamos 2 Sprites
            imageSetFilter(idImagen,LIB_FLT_NEAREST);
            spriteReset();
            spriteSetTexture(idTextura);
            spriteSetSize(256,256);
            spriteRotate(angle);
            spriteTranslate(-150,0);
            spriteRender();

            imageSetFilter(idImagen,LIB_FLT_LINEAR);
            spriteReset();
            spriteSetTexture(idTextura);
            spriteSetSize(256,256);
            spriteRotate(angle);
            spriteTranslate(150,0);
            spriteRender();
            
            angle +=0.01f;
        
        gfxRender();       // enviamos todo el flujo al GS
        }

    return 0;
    }


