
#include <llibPlanar.h>



int main(void){
    int idImagen;
    int t1,t2,t3,t4;
    
    float angle = 0.0f;

    setGsPacketsize(4);     // Make 4kb for the GSPACKET
    gfxInitVideo(GFX_AUTO); // Detect Pal||NTSC
    // Inicializamos LlibTex
    texturePrepareArray(1, 4);
    
    // Cargamos una Imagen, y generamos una Textura de esa imagen
    // ambos metodos devuelven el indice, pero al ser un unico registro
    // sabemos que es el 0
    idImagen = imageLoadRaw("../../resources/images/pokemon.raw", 128, 128, LIB_GS_PSMCT32);

    // a partir de la imagen cargada generamos 4 texturas
    t1 = textureCreate(idImagen,0,0,32,32);
    t2 = textureCreate(idImagen,0,32,32,64);
    t3 = textureCreate(idImagen,32,0,64,32);
    t4 = textureCreate(idImagen,32,32,64,64);

    FlushCache(0);

    while (1) {

        gfxSyncV();        // Esperamos al Retrazo
        gfxSwapBuffers();  // cambiamos el buffer de dibujado
        gfxClear();        // y limpiamos la pantalla

            // Dibujamos 2 Sprites
            spriteReset();
            spriteSetTexture(t1);   // <- ponemos el recorte t1 (0,0,32,32)
            spriteSetSize(128,128);
            spriteRotate(angle*1);
            spriteTranslate(-100,-100);
            spriteRender();

            spriteReset();
            spriteSetTexture(t2);   // <- ponemos el recorte t2 (0,32,32,64)
            spriteSetSize(128,128);
            spriteRotate(angle*2);
            spriteTranslate(100,-100);
            spriteRender();

            spriteReset();
            spriteSetTexture(t3);   // <- ponemos el recorte t3 (...)
            spriteSetSize(128,128);
            spriteRotate(angle*3);
            spriteTranslate(-100,100);
            spriteRender();

            spriteReset();
            spriteSetTexture(t4);   // <- ponemos el recorte t4 (...)
            spriteSetSize(128,128);
            spriteRotate(angle*4);
            spriteTranslate(100,100);
            spriteRender();
            
            angle +=0.01f;
        
        gfxRender();       // enviamos todo el flujo al GS

        }

    return 0;
    }


