
#include <llibPlanar.h>
#include "math.h"



int main(void){
    float angle=0.0f;

    setGsPacketsize(4);     // Make 4kb for the GSPACKET
    gfxInitVideo(GFX_AUTO); // Detect Pal||NTSC

    // Inicializamos LlibTex
    texturePrepareArray(1, 1);
    
    // Cargamos una Imagen, y generamos una Textura de esa imagen
    imageLoadRaw("../../resources/images/Font_256.raw", 256, 256, LIB_GS_PSMCT32);
    textureCreate(0,0,0,256,256);

    FlushCache(0);

    // Activamos la fuente
    textSetFont(0, 2, 16, 16); // imagen=0, fonts=2, charsize=(16,16)
    textSetSize(0,1.6f); // fuente[0] -> size 2
    textSetSize(1,2.0f); // fuente[1] -> size 2
    textSetPadding(0,9); // fuente[0] -> padding 8 pixels
    textSetPadding(1,12);// fuente[1] -> padding 12 pixels


    // Setup Console
    consoleCreate();
    consoleSet(-120,-50,240,100,0);   // x,y,w,h, font
    consoleSetColor(0xFF,0xFF,0xFF);  // Color for Text
    consoleSetAlpha(0xFF);            // Alpha

    consolePrintf("LLibPlanar 2.0 \n");
    consolePrintf("By neofar \n\n");
    consolePrintf("Console sample with text.. text... text... text...\n");
    consolePrintf("text, text, more text...");

    /*
    consoleClear();

    // consoleSetColorId(int id, int r,int g,int b,int a);

    consoleSetColorId(0, 0xFF,0xFF,0xFF,0xFF);
    consoleSetColorId(1, 0xff,0x00,0x00,0xFF);
    consoleSetColorId(2, 0x00,0xff,0x00,0xFF);
    consoleSetColorId(3, 0x00,0x00,0xFF,0xFF);
    consoleSetColorId(4, 0xff,0xFF,0x00,0xFF);

    consolePrintf("\\1El tuyo es rojo relativo,");
    consolePrintf("\\2no se mancha de amor y por eso ");
    consolePrintf("\\3canta muy dentro de ti,");
    consolePrintf("\\4por tu gran soledad y porque...");
    consolePrintf("\\0Venga... mate mucho esta noche ");
    consolePrintf("y maana vuelve a ser quien ");
    consolePrintf("no se divierte porque ");
    consolePrintf("buscas algo ms fcil de hacer.");
*/
    // consoleRenderHost();


    while (1) {
       gfxSyncV();        // Esperamos al Retrazo
       gfxSwapBuffers();  // cambiamos el buffer de dibujado
       gfxClear();        // y limpiamos la pantalla

       // Draw simple blue box
       gfxSetColor(0,0,0x20,0xFF);
       gfxDrawBox(-120,-50,120,50);

       // And render console
       angle+=0.01f;
       float factor = sinf(angle)*0.5f-0.5f;
       consoleSetView(factor);
       consoleRender();
        
       gfxRender();       // enviamos todo el flujo al GS
       }

    return 0;
    }



