#include <llibPlanar.h>
#include "math.h"




int main(void){
    float angle = 0.0f;
    u_char alpha = 0;

    // inicializa el modo grafico    
    setGsPacketsize(4);     // Make 4kb for the GSPACKET
    gfxInitVideo(GFX_AUTO); // Detect Pal||NTSC

    // Inicializamos LlibTex
    texturePrepareArray(1, 1);
    
    // Cargamos una Imagen, y generamos una Textura de esa imagen
    imageLoadRaw("../../resources/images/Font_256.raw", 256, 256, LIB_GS_PSMCT32);
    textureCreate(0,0,0,256,256);

    // Activamos la fuente
    textSetFont(0, 2, 16, 16); // imagen=0, fonts=2, charsize=(16,16)

    textSetSize(0,2.0f); // fuente[0] -> size 2
    textSetSize(1,2.0f); // fuente[1] -> size 2
    
    textSetPadding(0,8); // fuente[0] -> padding 8 pixels
    textSetPadding(1,12);// fuente[1] -> padding 12 pixels


    FlushCache(0);

    while (1) {
       gfxSyncV();        // Esperamos al Retrazo
       gfxSwapBuffers();  // cambiamos el buffer de dibujado
       gfxClear();        // y limpiamos la pantalla


       // Pongo blanco sin transparencia
       textSetColor(0xFF,0xFF,0xFF);
       textSetAlpha(0x80);

       // y envio 2 textos, uno con cada fuente
       textSetFontActive(0); textPrintCenter(-34, "Llib Planar");
       textSetFontActive(1); textPrintCenter(  2, "Version 2.0");

       // ponemos un amarillo, y jugamos con la transrencia
       angle+=0.01f;
       alpha = (cosf(angle) * 0x40) + 0x40;
       textSetColor(0xFF,0xFF,0x00);
       textSetAlpha(alpha);

       // y mas texto
       textSetFontActive(0); textPrintCenter(  60,"Created by neofar");
        
       gfxRender();       // enviamos todo el flujo al GS
       }

    return 0;
    }



