#include <sys/types.h>

// QWdata union to process 128-bit data easily
typedef union {
    __u128 ul128;
    __u64 u64[2];
    u_int u32[4];
} QWdata;

extern QWdata gsPacket[];
extern u_int gsPacketCount;

__inline__ void addPRIM(u_char prim, u_char iip, u_char tme, u_char fge, u_char abe, u_char aa1, u_char fst, u_char ctxt, u_char fix);
__inline__ void addRGBAQ(u_char r, u_char g, u_char b, u_char a, float q);
__inline__ void addXYZ2(u_short x1, u_short y1, u_int z1);
__inline__ void addST(float s, float t);
__inline__ void add_PK_RGBA(u_char r, u_char g, u_char b, u_char a);
__inline__ void add_PK_XYZ2(u_short x1, u_short y1, u_int z1);
