
#include "iif.h"
#include "loadClut.h"


void makeAlpha(char *filename)
    {
    int i;
    
    // Open File
    clutOpen(filename);
/*
    // el Order solo lo permito para clut8RGBA32
    if(clutGetType()!=IIF_CLUT8_RGBA32 || clutGetType()!=IIF_GIF256)
        {
        printf("Order only works for Clut8RGBA32\n");
        clutClose();
        return;
        }
*/


    // Load Palette
    unsigned char *pal = clutLoadPalette();

    // Order By Luminance
    for(i=0;i<256;i++)
        {
        int lum = getLuminance(pal[i*4+0],pal[i*4+1],pal[i*4+2]);
        
        pal[i*4+3] = lum;
        }

    // Return palette to IIF File
    clutUpdatePalette(pal);
    free(pal);
    
    
    // close file ;)
    clutClose();
    }

